Loading...
Searching...
No Matches
Opm::PAvgCalculatorResult< Scalar > Class Template Reference

Result of block-averaging well pressure procedure. More...

`#include <PAvgCalculator.hpp>`

## Public Types

enum class | WBPMode { WBP , WBP4 , WBP5 , WBP9 }
| Kind of block-averaged well pressure.

## Public Member Functions

PAvgCalculatorResult & | set (const WBPMode type, const Scalar wbp)
| Assign single block-averaged pressure result.
Scalar | value (const WBPMode type) const
| Retrieve numerical value of specific block-averaged well pressure.

## Friends

template<typename T>
PAvgCalculatorResult< T > | linearCombination (const T alpha, PAvgCalculatorResult< T > x, const T beta, const PAvgCalculatorResult< T > &y)
| Grant internal data member access to combination function.

## Detailed Description

template<typename Scalar>
class Opm::PAvgCalculatorResult< Scalar >

Result of block-averaging well pressure procedure.

## Member Function Documentation

## set()

template<typename Scalar>

PAvgCalculatorResult & Opm::PAvgCalculatorResult< Scalar >::set | ( | const WBPMode | type,
|  | const Scalar | wbp )

inline

Assign single block-averaged pressure result.

Parameters

  [in] | type | Block-averaged pressure kind.
  [in] | wbp | Block-averaged pressure value.

Returns
  .

## value()

template<typename Scalar>

Scalar Opm::PAvgCalculatorResult< Scalar >::value | ( | const WBPMode | type | ) | const

inline

Retrieve numerical value of specific block-averaged well pressure.

Parameters

  [in] | type | Block-averaged pressure kind.

Returns
  Block-averaged pressure.

The documentation for this class was generated from the following file:

- opm/input/eclipse/Schedule/Well/PAvgCalculator.hpp